.post-item {
    display: flex;
    margin-bottom: 20px;
    border-radius: 10px;
    overflow: hidden;
}

.post-item .image-box img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.post-item:last-child {
    margin-bottom: 0;
}

.post-item .text-box {
    flex: 1;
    padding: 10px 28px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.post-item .image-box {
    flex: 0 0 36.4%;
    padding-bottom: 39.9%;
    height: 0;
    position: relative;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.post-item .text-box .text {
    padding-bottom: 0;
    padding-top: 21px;
    font-size: 16px;
    line-height: 22px;
    -webkit-line-clamp: 4;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    white-space: normal;
    overflow: hidden;
}

@media only screen and (max-width: 1360px) {
    .post-item .text-box {
        padding: 10px 16px;
    }

    .post-item .text-box .text {
        padding-top: 10px;
        font-size: 14px;
        line-height: 16px;
    }
}

@media only screen and (max-width: 768px) {
    .post-item .text-box .text {
        -webkit-line-clamp: 2;
    }
}
